Set a team image
PUT/v1/teams/{teamId}/images/{imageTemplateId}
const url = 'https://api.ligr.live/rest/v1/teams/1/images/1';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"uploadId":1}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.ligr.live/rest/v1/teams/1/images/1 \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "uploadId": 1 }'Sets the team’s image for one template from a completed upload. The API checks the size, the SHA-256, the image type and the pixel size of the bytes. Each upload sets an image one time. Live overlays show the new image.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Entity identifier
The team id
Entity identifier
The id of a team image template
Request Bodyrequired
Section titled “Request Bodyrequired”Set the entity’s image for the template from a completed upload.
object
The uploadId from the POST …/uploads route of the same image.
Examplegenerated
{ "uploadId": 1}Responses
Section titled “Responses”Ok
The image of one player, team or competition for one image template.
object
Entity identifier
Pixel width the image must have.
Pixel height the image must have.
URL of the entity’s image for the template. Null: the entity has no image for the template.
URL of the template’s default image. Null: the template has no default image.
Examplegenerated
{ "imageTemplateId": 1, "templateName": "example", "width": 1, "height": 1, "url": "example", "defaultImageUrl": "example"}Request is invalid
object
object
Examplegenerated
{ "message": "example", "details": { "additionalProperty": "example" }}Missing or invalid api key
object
Examplegenerated
{ "message": "example"}Api key provides insufficient access for the request
object
Examplegenerated
{ "message": "example"}Team or image template not found
object
Examplegenerated
{ "message": "example"}Organization has made too many requests
object
Examplegenerated
{ "message": "example"}An unexpected error has occured. If problems persist please contact support
object
Examplegenerated
{ "message": "example"}